Showing posts with label FBSDK. Show all posts
Showing posts with label FBSDK. Show all posts

7/26/2021

[SOLVED] React native fbsdk next error | Could not find or use auto-linked library

 After upgrading my react native fbsdk to react native fbsdk next, I encountered an error like this.

Could not find or use auto-linked library 'swiftCompatibility50'

.... and so on.

It has something to do with the swift files from a package you installed/linked. To solve this you have to create some sort of swift bridge by just creating an empty swift file in your xcode/workspace.

  1. open XCode
  2. create new file, select swift file
  3. confirm "Create Bridging Header"
  4. clean and build

Here are the guides that helped me.

  1. https://stackoverflow.com/questions/50096025/it-gives-errors-when-using-swift-static-library-with-objective-c-project/56187043#56187043
  2. https://github.com/facebookarchive/react-native-fbsdk/issues/755#issuecomment-653043458